Package com.xebialabs.xlrelease.domain.variables.reference

# Class VariableReference

java.lang.Object
com.xebialabs.xlrelease.domain.variables.reference.VariableReference

All Implemented Interfaces:
  `Comparable<VariableReference>`

public class VariableReference extends Object implements Comparable<VariableReference>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `VariableReference.VariableUsageType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableReference(String key, VariableReference.VariableUsageType variableType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addUsagePoint(UsagePoint usagePoint, VariableReference.VariableUsageType usagePointType)`
  `int`
  `compareTo(VariableReference that)`
  `boolean`
  `equals(Object other)`
  `String`
  `getKey()`
  `VariableReference.VariableUsageType`
  `getType()`
  `Set<UsagePoint>`
  `getUsagePoints()`
  `int`
  `hashCode()`
  `void`
  `setType(VariableReference.VariableUsageType type)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VariableReference

    public VariableReference(String key, VariableReference.VariableUsageType variableType)

- ## Method Details

  - ### getKey

    public String getKey()

  - ### getType

    public VariableReference.VariableUsageType getType()

  - ### setType

    public void setType(VariableReference.VariableUsageType type)

  - ### getUsagePoints

    public Set<UsagePoint> getUsagePoints()

  - ### addUsagePoint

    public void addUsagePoint(UsagePoint usagePoint, VariableReference.VariableUsageType usagePointType)

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(VariableReference that)
    Specified by:
      `compareTo` in interface `Comparable<VariableReference>`